Last modified: 2014-02-26 11:40:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30678 - Add Postgres support to ArticleFeedback
Add Postgres support to ArticleFeedback
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedback (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
wikimedia[unmaintained]
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-01 10:33 UTC by Sam Halliday
Modified: 2014-02-26 11:40 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Halliday 2011-09-01 10:33:12 UTC
When attempting to run the maintenance/update.php script on mediawiki 1.17.0 and the latest SVN of all the ArticleFeedback dependencies, I see the following error (even if I run the script several times)

Creating click_tracking table...PHP Warning:  pg_query(): Query failed: ERROR:  syntax error at or near "NOT"
LINE 1: ...Tracking/patches/ClickTracking.sql )  */ TABLE IF NOT EXISTS...
                                                             ^ in /path/to/includes/db/DatabasePostgres.php on line 237
A database query syntax error has occurred.
The last attempted database query was:
"CREATE TABLE IF NOT EXISTS click_tracking (
 action_time char(14) NOT NULL,
 session_id varbinary(255) NOT NULL,
 is_logged_in tinyint NOT NULL,
 user_total_contribs integer,
 user_contribs_span1 integer,
 user_contribs_span2 integer,
 user_contribs_span3 integer,
 namespace integer NOT NULL,
 event_id integer NOT NULL,
 additional_info varbinary(255)
 ) /*$wgDBTableOptions*/
"
from within function "DatabaseBase::sourceFile( /path/to/extensions/ClickTracking/patches/ClickTracking.sql )".
Database returned error "1: ERROR:  syntax error at or near "NOT"
LINE 1: ...Tracking/patches/ClickTracking.sql )  */ TABLE IF NOT EXISTS...
Comment 1 Sam Halliday 2011-09-01 10:36:59 UTC
Furthermore, if I edit the patch to force create the table (by removing IF NOT EXISTS), then I get the following error (varbinary isn't recognised)


Creating click_tracking table...PHP Warning:  pg_query(): Query failed: ERROR:  type "varbinary" does not exist
LINE 3:  session_id varbinary(255) NOT NULL,
                    ^ in /path/to/includes/db/DatabasePostgres.php on line 237
A database query syntax error has occurred.
The last attempted database query was:
"CREATE TABLE click_tracking (
 action_time char(14) NOT NULL,
 session_id varbinary(255) NOT NULL,
 is_logged_in tinyint NOT NULL,
 user_total_contribs integer,
 user_contribs_span1 integer,
 user_contribs_span2 integer,
 user_contribs_span3 integer,
 namespace integer NOT NULL,
 event_id integer NOT NULL,
 additional_info varbinary(255)
 ) /*$wgDBTableOptions*/
"
from within function "DatabaseBase::sourceFile( /path/to/extensions/ClickTracking/patches/ClickTracking.sql )".
Database returned error "1: ERROR:  type "varbinary" does not exist
LINE 3:  session_id varbinary(255) NOT NULL,
Comment 2 Sam Halliday 2011-09-01 11:54:10 UTC
Looks like similar issues exist in other files, e.g. ClickTrackingEvents.sql.

Also, tinyint isn't valid for postgresql.
Comment 3 Max Semenik 2011-09-02 08:23:39 UTC
This extension simply doesn't support PG, rephrasing summary.
Comment 4 Sam Halliday 2011-09-02 09:33:13 UTC
That's a real shame - unless you're doing something really fancy with the DB then adding support shouldn't be too much trouble. I hope you consider PG support shortly as the extension looks great.
Comment 5 Diederik van Liere 2012-03-21 02:50:10 UTC
I think this bug report should be split into two separate feature requests: one for Clicktracking and one for ArticleFeedback.
Comment 6 Sam Reed (reedy) 2013-03-28 23:40:27 UTC
ClickTracking is going to DIEEEE
Comment 7 Andre Klapper 2013-03-29 15:04:17 UTC
ArticleFeedback (<=4) also going to die.
Should this report be moved to the AFTv5 component instead?
Comment 8 Andre Klapper 2014-02-26 11:40:20 UTC
The extension homepage at [[mw:Extension:ArticleFeedback]] says 
"This extension has been archived. This extension has not been maintained in some time, and no longer supports recent releases of MediaWiki.
The following other choices are still available: [[mw:Extension:ArticleFeedbackv5]]"

Furthermore, ArticleFeedback (version 4 or earlier) was removed from all Wikimedia wikis in https://gerrit.wikimedia.org/r/#/c/98074/

It is currently unlikely that there will be any further active development of ArticleFeedback (version 4 or earlier).
Closing this report as WONTFIX to reflect reality.
Please feel free to reopen this report in the future if anyone takes the responsibility for active development of ArticleFeedback (version 4 or earlier) again.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links